<?php session_start();

function hasParameterWithValue($param) {
    return isset($_GET[$param]) && !empty($_GET[$param]);
}

if (!hasParameterWithValue('id')) {
    header('Location: ./all-students.php');
    exit();
}

if(isset($_SESSION['log_session']) && !empty($_SESSION['log_session'])){

    $user_id = $_SESSION['log_session']['user_id'];
    $user_role_name = $_SESSION['log_session']['user_role_name'];
    $user_role_id = $_SESSION['log_session']['user_role_id'];
    $user_first_name =  $_SESSION['log_session']['user_first_name'];

    // echo "<script> var log_session = []; log_session  = '". json_encode($_SESSION['log_session']) ."';</script>";

}else {
    header('Location: ../login.php');
    exit();
}

?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description"
        content="AIC / IMC Campus admin is super flexible, powerful, clean &amp; modern responsive bootstrap 4 admin template with unlimited possibilities.">
    <meta name="keywords"
        content="admin template, AIC / IMC Campus admin template, dashboard template, flat admin template, responsive admin template, web app">
    <meta name="author" content="pixelstrap">
    <link rel="icon" href="../assets/images/dashboard/favicon.png" type="image/x-icon">
    <link rel="shortcut icon" href="../assets/images/dashboard/favicon.png" type="image/x-icon">

    <title>Edit Student | AIC IMC Campus</title>

    <!-- Google font-->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css2?family=Work+Sans:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,500;1,600;1,700;1,800;1,900&display=swap">

    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">


    <!-- Font Awesome-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/font-awesome.css">

    <!-- Flag icon-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/themify-icons.css">

    <!-- slick icon-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/slick.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/slick-theme.css">

    <!-- Bootstrap css-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/bootstrap.css">

    <!-- App css-->
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">

    <!-- global css-->
    <link rel="stylesheet" type="text/css" href="../assets/custom-assets/css/global.css">
    
    <!-- JDataTable - css -->
    <!-- <link href="../assets/lib/DataTables/datatables.min.css" rel="stylesheet"> -->
    <link href="https://cdn.datatables.net/v/dt/jszip-3.10.1/dt-1.13.6/af-2.6.0/b-2.4.2/b-colvis-2.4.2/b-html5-2.4.2/b-print-2.4.2/cr-1.7.0/date-1.5.1/fc-4.3.0/fh-3.4.0/kt-2.10.0/r-2.5.0/rg-1.4.1/rr-1.4.1/sc-2.2.0/sb-1.6.0/sp-2.2.0/sl-1.7.0/sr-1.3.0/datatables.min.css" rel="stylesheet">
    
    <link rel="stylesheet" type="text/css" href="assets/css/edit-student.css">

</head>

<body>

        <!-- page-wrapper Start-->
        <div class="page-wrapper">

            <!-- Page Header Start-->
            <?php include_once('../includes/headers/header.php'); ?>
            <!-- Page Header Ends -->

            <!-- Page Body Start-->
            <div class="page-body-wrapper">

                <!-- Page Sidebar Start-->
                <?php include_once('../includes/Sidebar/sidebar.php'); ?>
                <!-- Page Sidebar Ends-->

                <!-- Right sidebar Start-->
                <?php include_once('../includes/rightsidebar/rightsiderbar.php'); ?>
                <!-- Right sidebar Ends-->

                <div class="page-body">
                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        <div class="page-header">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="page-header-left">
                                        <h3>Edit Student
                                            <small>AIC IMC CAMPUS</small>
                                        </h3>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <ol class="breadcrumb pull-right">
                                        <li class="breadcrumb-item">
                                            <a href="./dashboard.php">
                                                <i data-feather="home"></i>
                                            </a>
                                        </li>
                                        <li class="breadcrumb-item active">View Student</li>
                                    </ol>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Container-fluid Ends-->

                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        
                        <div class="card">

                            <div class="card-body">

                                <ul class="nav nav-tabs nav-material" id="top-tab" role="tablist">
                                    <li class="nav-item"><a class="nav-link active" id="top-profile-tab"
                                            data-bs-toggle="tab" href="#top-profile" role="tab"
                                            aria-controls="top-profile" aria-selected="true"><i data-feather="user"
                                                class="me-2"></i>Profile</a>
                                    </li>
                                    <li class="nav-item"><a class="nav-link" id="contact-top-tab"
                                            data-bs-toggle="tab" href="#top-academic" role="tab"
                                            aria-controls="top-academic" aria-selected="false"><i
                                                data-feather="book" class="me-2"></i>Education Qualification</a>
                                    </li>
                                    <li class="nav-item"><a class="nav-link" id="contact-top-tab"
                                            data-bs-toggle="tab" href="#top-prof-experience" role="tab"
                                            aria-controls="top-prof-experience" aria-selected="false"><i
                                                data-feather="briefcase" class="me-2"></i>Professional Experience</a>
                                    </li>
                                    <li class="nav-item"><a class="nav-link" id="contact-top-tab"
                                            data-bs-toggle="tab" href="#top-parent" role="tab"
                                            aria-controls="top-parent" aria-selected="false"><i
                                                data-feather="users" class="me-2"></i>Parent Info</a>
                                    </li>
                                    <li class="nav-item"><a class="nav-link" id="contact-top-tab"
                                            data-bs-toggle="tab" href="#top-portfolio" role="tab"
                                            aria-controls="top-portfolio" aria-selected="false"><i
                                                data-feather="book-open" class="me-2"></i>Portfolio</a>
                                    </li>
                                    <li class="nav-item"><a class="nav-link" id="contact-top-tab"
                                            data-bs-toggle="tab" href="#top-enrollment" role="tab"
                                            aria-controls="top-enrollment" aria-selected="false"><i
                                                data-feather="log-in" class="me-2"></i>Enrollment</a>
                                    </li>
                                    
                                </ul>

                                <div class="tab-content" id="top-tabContent">
                                    
                                    <!-- student basic info - start -->
                                    <div class="tab-pane fade show active student-tabs" id="top-profile" role="tabpanel" aria-labelledby="top-profile-tab">

                                        <!-- a -->
                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6">
                                                <strong><label>Student ID </label></strong>
                                                <p id="student_id_txt_group"><strong id="student_id">1</strong> (&nbsp;<strong id="student_status">Enrolled</strong>&nbsp;)</p>
                                            </div>
                                        </div>


                                        <div class="row form_cstm_row">
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>First Name</label></strong>
                                                <p><strong id="first_name">Kamal</strong></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col">
                                                <strong><label>Last Name</label></strong>
                                                <p><strong id="last_name">Fernando</strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>Gender</label></strong>
                                                <p><strong id="student_gender">N/A</strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row">
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>NIC / Passport Number</label></strong>
                                                <p><strong id="nic_passport_id">997895425V</strong></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Preferred Language </label></strong>
                                                <p><strong id="pref_lang">EN</strong></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col">
                                                <strong><label>Campus</label></strong>
                                                <p><strong id="campus_name">AIC</strong></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Branch</label></strong>
                                                <p><strong id="branch_name">AIC Colombo</strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row">
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Phone #1</label></strong>
                                                <p><strong id="phone_1">0778978450</strong></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col">
                                                <strong><label>Phone #2</label></strong>
                                                <p><strong id="phone_2">N/A</strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>Email Address</label></strong>
                                                <p><strong id="email_address">kamal@gmail.com</strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row">
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>Address</label>&nbsp;<span class="required-mark">*</span></strong>
                                                <textarea class="form-control textarea_address" id="textarea_address" placeholder="Enter student's address here..." readonly></textarea>
                                            </div>
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>Student Note</label>&nbsp;<span class="required-mark">*</span></strong>
                                                <textarea class="form-control textarea_student_note" id="textarea_student_note" placeholder="Enter student's note here..." readonly></textarea>
                                            </div>
                                        </div>
                                        <!-- a -->

                                    </div>
                                    <!-- student basic info - end -->

                                    <!-- education Info - start -->
                                    <div class="tab-pane fade show student-tabs" id="top-academic" role="tabpanel" aria-labelledby="top-academic-tab">
                                        
                                        <div class="row form_cstm_row">
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Education Type</label></strong>
                                                <select class="edu_type_select form-control" id="edu_type_select" required="">
                                                    <option value="1" selected="">Primary Education</option>
                                                    <option value="3">Secondary Education</option>
                                                    <option value="5">Higher Education</option>
                                                    <option value="6">Other Education</option>
                                                </select>
                                            </div>
                                            <div class="col-md-3 form_cstm_col">
                                                <strong><label>Qualification</label></strong>
                                                <select class="edu_qual_select form-control" id="edu_qual_select" required="">
                                                    <option value="1" selected="">Grade 05 Scholarship</option>
                                                    <option value="3">O/L - Sri Lankan</option>
                                                    <option value="4">O/L - International</option>
                                                    <option value="5">A/L - Sri Lankan</option>
                                                    <option value="6">A/L - International</option>
                                                    <option value="7">Certificate</option>
                                                    <option value="8">Diploma</option>
                                                    <option value="9">Degree</option>
                                                    <option value="10">Master</option>
                                                    <option value="11">Professional Qualification</option>
                                                    <option value="12">Doctor of Philosophy</option>
                                                    <option value="13">Other</option>
                                                </select>
                                            </div>

                                            <div class="col-md-2 form_cstm_col">
                                                <strong><label>Start Date</label></strong>
                                                <p><input type="date" class="form-control edu_start_date" id="edu_start_date"/></p>
                                            </div>
                                            
                                            <div class="col-md-2 form_cstm_col">
                                                <strong><label>End Date</label></strong>
                                                <p><input type="date" class="form-control edu_end_date" id="edu_end_date"/></p>
                                            </div>

                                            <div class="col-md-2 form_cstm_col">
                                                <div class="check_current_study_group">
                                                    <strong><label>Current Study</label></strong>
                                                    <p>
                                                        <!-- <input type="checkbox" class="aca_current_study_check" id="aca_current_study_check" name="aca_current_study_check"> -->
                                                        <input class="checkbox_animated check-it edu_cur_work_check" type="checkbox" value="" id="edu_cur_work_check" data-id="1">
                                                    </p>
                                                </div>
                                            </div>

                                        </div>

                                        <div class="row form_cstm_row">
                                            <div class="col-md-4 form_cstm_col cstm_mq">
                                                <strong><label>Institute</label></strong>
                                                <textarea class="form-control edu_institute" id="edu_institute" placeholder=""></textarea>
                                            </div>
                                            <div class="col-md-4 form_cstm_col cstm_mq">
                                                <strong><label>Additional Info</label></strong>
                                                <textarea class="form-control edu_additional_info" id="edu_additional_info" placeholder=""></textarea>
                                            </div>
                                            

                                            <div class="col-md-4 form_cstm_col">
                                                <strong><label>Document (.pdf)</label></strong>
                                                <p><input type="file" class="form-control edu_document" id="edu_document" accept=".pdf"></p>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-12 aca_add_to_table_col">
                                                <button class="btn btn-primary mt-md-0 mt-2" id="btn_edu_submit"> Submit &nbsp;<i class="fa fa-save"></i></button>
                                            </div>
                                        </div>
                                    
                                        <!-- academic table - start -->
                                        <div class="row edu_info_table_row">
                                            <div class="col-md-12">
                                                <div class="table-responsive">
                                                    <table id="edu_education_info_table" class="display">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Education Type</th>
                                                                <th>Qualification</th>
                                                                <th>Start Date</th>
                                                                <th>End Date</th>
                                                                <th>Institute</th>
                                                                <th>Current Study</th>
                                                                <th>Additional Info</th>
                                                                <th>Document</th>
                                                                <th>Doc. Verify</th>
                                                                <th>Actions</th> <!-- Add a new column for buttons -->
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- academic table - end -->

                                    </div>
                                    <!-- Academic info - end -->

                                    <!-- professional experience - start -->
                                    <div class="tab-pane fade show student-tabs" id="top-prof-experience" role="tabpanel" aria-labelledby="top-prof-experience-tab">
                                        
                                        <div class="row form_cstm_row">
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Job Title</label></strong>
                                                <p><input type="text" class="form-control pe_job_title" id="pe_job_title"></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col">
                                                <strong><label>Organization</label></strong>
                                                <p><input type="text" class="form-control pe_organization" id="pe_organization"></p>
                                            </div>

                                            <div class="col-md-2 form_cstm_col">
                                                <strong><label>Start Date</label></strong>
                                                <p><input type="date" class="form-control pe_start_date" id="pe_start_date"/></p>
                                            </div>
                                            
                                            <div class="col-md-2 form_cstm_col">
                                                <strong><label>End Date</label></strong>
                                                <p><input type="date" class="form-control pe_end_date" id="pe_end_date"/></p>
                                            </div>

                                            <div class="col-md-2 form_cstm_col">
                                                <div class="check_current_work_group">
                                                    <strong><label>Current Work</label></strong>
                                                    <p><input class="checkbox_animated check-it pe_current_work_check" type="checkbox" value="" id="pe_current_work_check" data-id="1"></p>
                                                </div>
                                            </div>

                                        </div>

                                        <div class="row form_cstm_row">
                                            <div class="col-md-8 form_cstm_col cstm_mq">
                                                <strong><label>Additional Info</label></strong>
                                                <textarea class="form-control pe_additional_info" id="pe_additional_info" placeholder=""></textarea>
                                            </div>
                                            
                                            <div class="col-md-4 form_cstm_col">
                                                <strong><label>Document (.pdf)</label></strong>
                                                <p><input type="file" class="form-control pe_document" id="pe_document" accept=".pdf"></p>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-12 aca_add_to_table_col">
                                                <button class="btn btn-primary mt-md-0 mt-2" id="btn_pe_submit"> Submit &nbsp;<i class="fa fa-save"></i></button>
                                            </div>
                                        </div>
                                    
                                        <!-- academic table - start -->
                                        <div class="row aca_education_info_table_row">
                                            <div class="col-md-12">
                                                <div class="table-responsive">
                                                    <table id="pe_work_info_table" class="display">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Job Title</th>
                                                                <th>Organization</th>
                                                                <th>Start Date</th>
                                                                <th>End Date</th>
                                                                <th>Current Work</th>
                                                                <th>Additional Info</th>
                                                                <th>Document</th>
                                                                <th>Actions</th> <!-- Add a new column for buttons -->
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- academic table - end -->

                                    </div>
                                    <!-- professional experience - end -->

                                    <!-- parent info - start -->
                                    <div class="tab-pane fade show student-tabs" id="top-parent" role="tabpanel" aria-labelledby="top-parent-tab">

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6">
                                                <p id="subheading_para"><strong id="">Father's Details</strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row">
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Name</label></strong>
                                                <p><input type="text" class="form-control parent_f_name cstm_input_style_text" id="parent_f_name"></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col">
                                                <strong><label>Occupation</label></strong>
                                                <p><input type="text" class="form-control parent_f_occupation cstm_input_style_text" id="parent_f_occupation"></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Organization</label></strong>
                                                <p><input type="text" class="form-control parent_f_organization cstm_input_style_text" id="parent_f_organization"></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row">
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Phone #1</label></strong>
                                                <p><input type="text" class="form-control parent_f_phone_1 cstm_input_style_text" id="parent_f_phone_1"></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col">
                                                <strong><label>Phone #2</label></strong>
                                                <p><input type="text" class="form-control parent_f_phone_2 cstm_input_style_text" id="parent_f_phone_2"></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                
                                            </div>
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6">
                                                <p id="subheading_para"><strong id="">Mother's Details</strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row">
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Name</label></strong>
                                                <p><input type="text" class="form-control parent_m_name cstm_input_style_text" id="parent_m_name"></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col">
                                                <strong><label>Occupation</label></strong>
                                                <p><input type="text" class="form-control parent_m_occupation cstm_input_style_text" id="parent_m_occupation"></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Organization</label></strong>
                                                <p><input type="text" class="form-control parent_m_organization cstm_input_style_text" id="parent_m_organization"></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row">
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Phone #1</label></strong>
                                                <p><input type="text" class="form-control parent_m_phone_1 cstm_input_style_text" id="parent_m_phone_1"></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col">
                                                <strong><label>Phone #2</label></strong>
                                                <p><input type="text" class="form-control parent_m_phone_2 cstm_input_style_text" id="parent_m_phone_2"></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                
                                            </div>
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col-md-12 parent_save_btn_col">
                                                <button class="btn btn-primary mt-md-0 mt-2" id="btn_parent_submit"> Submit &nbsp;<i class="fa fa-save"></i></button>
                                            </div>
                                        </div>

                                    </div>
                                    <!-- parent info - end -->

                                    <!-- portfolio - start -->
                                    <div class="tab-pane fade show student-tabs" id="top-portfolio" role="tabpanel" aria-labelledby="top-portfolio-tab">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="row form_cstm_row">
                                                    <div class="col-md-12 form_cstm_col cstm_mq">
                                                        <strong><label>Question</label></strong>
                                                        <p><input type="text" class="form-control ques_title" id="ques_title"></p>
                                                    </div>
                                                </div>
                                                <div class="row form_cstm_row">
                                                    <div class="col-md-12 form_cstm_col cstm_mq">
                                                        <strong><label>Answer</label></strong>
                                                        <textarea class="form-control ques_answer" id="ques_answer" placeholder=""></textarea>
                                                    </div>
                                                </div>
                                                <div class="row form_cstm_row">
                                                    <div class="col-md-12 ques_btn_col">
                                                        <button class="btn btn-primary mt-md-0 mt-2" id="btn_ques_submit"> Submit &nbsp;<i class="fa fa-save"></i></button>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                
                                                <div class="accordion accordion-flush" id="accordionFlushExample">
                                                    <div class="accordion-item ques_item" id="ques_item" data-quesid="">
                                                        <h2 class="accordion-header" id="flush-headingOne">
                                                        <button class="accordion-button collapsed ques_btn" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapseOne" aria-expanded="false" aria-controls="flush-collapseOne">
                                                            What is your name
                                                        </button>
                                                        </h2>
                                                        <div id="flush-collapseOne" class="accordion-collapse collapse" aria-labelledby="flush-headingOne" data-bs-parent="#accordionFlushExample">
                                                            <div class="accordion-body">My name Kamal</div>
                                                        </div>
                                                    </div>
                                                    <div class="accordion-item ques_item" id="ques_item" data-quesid=""">
                                                        <h2 class="accordion-header" id="flush-headingTwo">
                                                        <button class="accordion-button collapsed ques_btn" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapseTwo" aria-expanded="false" aria-controls="flush-collapseTwo">
                                                            How old are you ?
                                                        </button>
                                                        </h2>
                                                        <div id="flush-collapseTwo" class="accordion-collapse collapse" aria-labelledby="flush-headingTwo" data-bs-parent="#accordionFlushExample">
                                                            <div class="accordion-body">I am 20 years old</div>
                                                        </div>
                                                    </div>
                                                    <div class="accordion-item ques_item" id="ques_item" data-quesid=""">
                                                        <h2 class="accordion-header" id="flush-headingThree">
                                                        <button class="accordion-button collapsed ques_btn" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapseThree" aria-expanded="false" aria-controls="flush-collapseThree">
                                                            Why do you choose us ?
                                                        </button>
                                                        </h2>
                                                        <div id="flush-collapseThree" class="accordion-collapse collapse" aria-labelledby="flush-headingThree" data-bs-parent="#accordionFlushExample">
                                                            <div class="accordion-body">This campus provide standards programs</div>
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                    <!-- portfolio - end -->

                                </div>



                                

                            </div>
                        </div>
                    </div>
                    <!-- Container-fluid Ends-->

                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">

                                    <div class="card-header">
                                        <div class="row form-group">
                                            <div class="col-md-12">
                                                <strong class="card-head-title"><label>Enrolled Program Information</label></strong>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="table-responsive table_enrolled_program_container">
                                                    <table class="table" id="table_enrolled_program">
                                                        <thead>
                                                            <tr>
                                                                <th class="">#</th>
                                                                <th class="">Program Code</th>
                                                                <th class="">Program Name</th>
                                                                <th class="">Program Cost</th>
                                                                <th class="">Start Date</th>
                                                                <th class="">End Date</th>
                                                                <th class="">Enrolled Date & Time</th>
                                                            </tr>
                                                        </thead>

                                                        <tbody id="table_enrolled_program_body">
                                                            <tr>
                                                                <td class="">1</td>
                                                                <td class="">ADIP-IT</td>
                                                                <td class=""><textarea class="textarea_enrolled_program_note" readonly>Advanced Diploma in Information Technology</textarea></td>
                                                                <td class="">50,000.00</td>
                                                                <td class="">2024-06-01</td>
                                                                <td class="">2024-12-01</td>
                                                                <td class="">2024-12-01 14:25</td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>


                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">

                                    <div class="card-header">
                                        <div class="row form-group">
                                            <div class="col-md-12">
                                                <strong class="card-head-title"><label>Payment Plan</label></strong>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="table-responsive table_payment_plan_container">
                                                    <table class="table" id="table_payment_plan">
                                                        <thead>
                                                            <tr>
                                                                <th class="">#</th>
                                                                <th class="">Due Date</th>
                                                                <th class="">Payment</th>
                                                                <th class="">Additional Payment</th>
                                                                <th class="">Remarks</th>
                                                            </tr>
                                                        </thead>

                                                        <tbody id="table_payment_plan_body">
                                                            <tr>
                                                                <td class="">1</td>
                                                                <td class="">2024-06-1</td>
                                                                <td class="">30,000.00</td>
                                                                <td class="">0.00</td>
                                                                <td class=""><textarea class="textarea_payment_plan" readonly>Initial Payment</textarea></td>
                                                            </tr>
                                                            <tr>
                                                                <td class="">2</td>
                                                                <td class="">2024-07-1</td>
                                                                <td class="">30,000.00</td>
                                                                <td class="">0.00</td>
                                                                <td class=""><textarea class="textarea_payment_plan" readonly>Second payment</textarea></td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="row">
                        <div class="row justify-content-end">
                            <div class="col-auto">
                                <button class="btn btn-primary mt-md-0 mt-2" id="btn_view_pending_registrants"> <i class="fa fa-chevron-left"></i> Go back</button>
                                <button class="btn btn-block btn-primary mt-md-0 mt-2" id="btn_create_account">Create Account</button>
                            </div>
                        </div>
                    </div>

                </div>

                <!-- footer start-->
                <?php include_once('../includes/footers/footer.php'); ?>
                <!-- footer end-->
            </div>
        </div>


    <!-- latest jquery-->
    <script src="../assets/js/jquery-3.3.1.min.js"></script>

    <!-- Bootstrap js-->
    <script src="../assets/js/bootstrap.bundle.min.js"></script>

    <!-- feather icon js-->
    <script src="../assets/js/icons/feather-icon/feather.min.js"></script>
    <script src="../assets/js/icons/feather-icon/feather-icon.js"></script>

    <!-- Sidebar jquery-->
    <script src="../assets/js/sidebar-menu.js"></script>
    <script src="../assets/js/slick.js"></script>

    <!-- lazyload js-->
    <script src="../assets/js/lazysizes.min.js"></script>

    <!--right sidebar js-->
    <script src="../assets/js/chat-menu.js"></script>

    <!--script admin-->
    <script src="../assets/js/admin-script.js"></script>

    <!-- Sweetalert2 js-->
    <script src="../assets/custom-assets/lib/sweetalert2/sweetalert2.all.min.js"></script>

    <!-- Moment js-->
    <script src="../assets/custom-assets/lib/momentjs/moment.min.js"></script>

    <!-- JDataTable js -->
    <!-- <script src="../assets/lib/DataTables/datatables.min.js"></script> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/v/dt/jszip-3.10.1/dt-1.13.6/af-2.6.0/b-2.4.2/b-colvis-2.4.2/b-html5-2.4.2/b-print-2.4.2/cr-1.7.0/date-1.5.1/fc-4.3.0/fh-3.4.0/kt-2.10.0/r-2.5.0/rg-1.4.1/rr-1.4.1/sc-2.2.0/sb-1.6.0/sp-2.2.0/sl-1.7.0/sr-1.3.0/datatables.min.js"></script>


    <!-- view lead -->
    <script src="assets/js/edit-student.js"></script>


</body>

</html>