<?php session_start();

function hasParameterWithValue($param) {
    return isset($_GET[$param]) && !empty($_GET[$param]);
}

if (!hasParameterWithValue('id')) {
    header('Location: ./all-leads.php');
    exit();
}


if(isset($_SESSION['log_session']) && !empty($_SESSION['log_session'])){

    $user_id = $_SESSION['log_session']['user_id'];
    $user_role_name = $_SESSION['log_session']['user_role_name'];
    $user_role_id = $_SESSION['log_session']['user_role_id'];
    $user_first_name =  $_SESSION['log_session']['user_first_name'];

    // echo "<script> var log_session = []; log_session  = '". json_encode($_SESSION['log_session']) ."';</script>";

}else {
    header('Location: ../login.php');
    exit();
}

?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description"
        content="AIC / IMC Campus admin is super flexible, powerful, clean &amp; modern responsive bootstrap 4 admin template with unlimited possibilities.">
    <meta name="keywords"
        content="admin template, AIC / IMC Campus admin template, dashboard template, flat admin template, responsive admin template, web app">
    <meta name="author" content="pixelstrap">
    <link rel="icon" href="../assets/images/dashboard/favicon.png" type="image/x-icon">
    <link rel="shortcut icon" href="../assets/images/dashboard/favicon.png" type="image/x-icon">

    <title>View Lead | AIC IMC Campus</title>

    <!-- Google font-->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css2?family=Work+Sans:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,500;1,600;1,700;1,800;1,900&display=swap">

    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">


    <!-- Font Awesome-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/font-awesome.css">

    <!-- Flag icon-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/themify-icons.css">

    <!-- slick icon-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/slick.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/slick-theme.css">

    <!-- Bootstrap css-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/bootstrap.css">

    <!-- App css-->
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">

    <!-- global css-->
    <link rel="stylesheet" type="text/css" href="../assets/custom-assets/css/global.css">
    
    <!-- JDataTable - css -->
    <!-- <link href="../assets/lib/DataTables/datatables.min.css" rel="stylesheet"> -->
    <link href="https://cdn.datatables.net/v/dt/jszip-3.10.1/dt-1.13.6/af-2.6.0/b-2.4.2/b-colvis-2.4.2/b-html5-2.4.2/b-print-2.4.2/cr-1.7.0/date-1.5.1/fc-4.3.0/fh-3.4.0/kt-2.10.0/r-2.5.0/rg-1.4.1/rr-1.4.1/sc-2.2.0/sb-1.6.0/sp-2.2.0/sl-1.7.0/sr-1.3.0/datatables.min.css" rel="stylesheet">
    
    <link rel="stylesheet" type="text/css" href="assets/css/view-lead.css">

</head>

<body>

        <!-- page-wrapper Start-->
        <div class="page-wrapper">

            <!-- Page Header Start-->
            <?php include_once('../includes/headers/header.php'); ?>
            <!-- Page Header Ends -->

            <!-- Page Body Start-->
            <div class="page-body-wrapper">

                <!-- Page Sidebar Start-->
                <?php include_once('../includes/Sidebar/sidebar.php'); ?>
                <!-- Page Sidebar Ends-->

                <!-- Right sidebar Start-->
                <?php include_once('../includes/rightsidebar/rightsiderbar.php'); ?>
                <!-- Right sidebar Ends-->

                <div class="page-body">
                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        <div class="page-header">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="page-header-left">
                                        <h3>View Lead
                                            <small>AIC IMC CAMPUS</small>
                                        </h3>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <ol class="breadcrumb pull-right">
                                        <li class="breadcrumb-item">
                                            <a href="./dashboard.php">
                                                <i data-feather="home"></i>
                                            </a>
                                        </li>
                                        <li class="breadcrumb-item active">All Leads</li>
                                    </ol>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Container-fluid Ends-->

                    <!-- Container-fluid starts-->
                    <div class="container-fluid">

                        <div class="row">

                            <!-- left column - start -->
                            <div class="col-md-6">

                                <div class="card">

                                    <div class="card-body">

                                        <!-- abc -->
                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6">
                                                <strong><label>Lead ID </label></strong>
                                                <p id="lead_id_txt_group"><strong id="lead_id"></strong> (&nbsp;<strong id="lead_status"></strong>&nbsp;)</p>
                                            </div>
                                            
                                        </div>
                                        

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>First Name</label></strong>
                                                <p><strong id="lead_first_name"></strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>Last Name</label></strong>
                                                <p><strong id="lead_last_name"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>Preferred Language</label></strong>
                                                <p><strong id="lead_pref_lang"></strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>Lead Source</label></strong>
                                                <p><strong id="lead_source"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>Phone #1</label></strong>
                                                <p><strong id="laad_phone_1"></strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>Phone #2</label></strong>
                                                <p><strong id="laad_phone_2"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-12 form_cstm_col">
                                                <strong><label id="lead_email_label">Email (Student's Login Email)</label></strong>
                                                <p><input type="text" id="lead_email" placeholder="Enter Student Login Email"></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>Campus</label></strong>
                                                <p><strong id="laad_campus"></strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>branch</label></strong>
                                                <p><strong id="laad_branch"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-12 form_cstm_col">
                                                <strong><label>Address</label></strong>
                                                <p><strong id="lead_address"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>Created Date & Time</label></strong>
                                                <p><strong id="laad_created_date_time"></strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>Updated Date & Time</label></strong>
                                                <p><strong id="laad_updated_date_time"></strong></p>
                                            </div>
                                        </div>
                                        <!-- abc -->

                                    </div>

                                </div>

                            </div>
                            <!-- left column - end -->

                            <!-- right column - start -->
                            <div class="col-md-6">

                                <div class="card">

                                    <div class="card-body">

                                        <div class="row">
                                            <div class="table-responsive lead_note_table_container">
                                                <table class="table" id="lead_notes_table">
                                                    <thead>
                                                        <tr>
                                                            <th class="th_row_number">#</th>
                                                            <th class="th_row_note">Lead Note</th>
                                                            <th class="th_row_date_time">Created Date & Time</th>
                                                        </tr>
                                                    </thead>

                                                    <tbody id="lead_notes_body">
                                                        
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group mt-5 lead_status_group">
                                            <!-- <div class="col-md-12">
                                                <strong><label>Lead Status </label></strong>
                                                <select class="lead_status_select form-control" required="">

                                                </select>
                                            </div> -->
                                        </div>

                                        <div class="row form_cstm_row form-group lead_note_group">
                                            <!-- <div class="col-md-12">
                                                <strong><label>Lead Note</label></strong>
                                                <div class="col-md-12"><textarea class="form-control" id="text_lead_note" placeholder="Enter lead's note here..."></textarea></div>
                                            </div> -->
                                        </div>

                                        <div class="row justify-content-end">
                                            <div class="col-auto lead_btn_group">
                                                <!-- <button class="btn btn-primary mt-md-0 mt-2" id="btn_view_all_leads"> <i class="fa fa-chevron-left"></i> Go back</button>
                                                <button class="btn btn-block btn-primary mt-md-0 mt-2" id="btn_update_lead">Update Lead</button> -->
                                            </div>
                                        </div>

                                    </div>

                                </div>


                            </div>
                            <!-- right column - end -->

                        </div>
                        
                        <!-- <div class="card">

                            <div class="card-body">
                                
                                <div class="row">

                                    <div class="col-md-6">

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6">
                                                <strong><label>Lead ID </label></strong>
                                                <p id="lead_id_txt_group"><strong id="lead_id"></strong> (&nbsp;<strong id="lead_status"></strong>&nbsp;)</p>
                                            </div>
                                            
                                        </div>
                                        

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>First Name</label></strong>
                                                <p><strong id="lead_first_name"></strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>Last Name</label></strong>
                                                <p><strong id="lead_last_name"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>Preferred Language</label></strong>
                                                <p><strong id="lead_pref_lang"></strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>Lead Source</label></strong>
                                                <p><strong id="lead_source"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>Phone #1</label></strong>
                                                <p><strong id="laad_phone_1"></strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>Phone #2</label></strong>
                                                <p><strong id="laad_phone_2"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-12 form_cstm_col">
                                                <strong><label id="lead_email_label">Email (Student's Login Email)</label></strong>
                                                <p><input type="text" id="lead_email" placeholder="Enter Student Login Email"></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>Campus</label></strong>
                                                <p><strong id="laad_campus"></strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>branch</label></strong>
                                                <p><strong id="laad_branch"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-12 form_cstm_col">
                                                <strong><label>Address</label></strong>
                                                <p><strong id="lead_address"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>Created Date & Time</label></strong>
                                                <p><strong id="laad_created_date_time"></strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>Updated Date & Time</label></strong>
                                                <p><strong id="laad_updated_date_time"></strong></p>
                                            </div>
                                        </div>

                                    </div>

                                    <div class="col-md-6">

                                        <div class="row">
                                            <div class="table-responsive lead_note_table_container">
                                                <table class="table" id="lead_notes_table">
                                                    <thead>
                                                        <tr>
                                                            <th class="th_row_number">#</th>
                                                            <th class="th_row_note">Lead Note</th>
                                                            <th class="th_row_date_time">Created Date & Time</th>
                                                        </tr>
                                                    </thead>

                                                    <tbody id="lead_notes_body">
                                                        
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group mt-5">
                                            <div class="col-md-12">
                                                <strong><label>Lead Status </label></strong>
                                                <select class="lead_status_select form-control" required="">

                                                </select>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-12">
                                                <strong><label>Lead Note</label></strong>
                                                <div class="col-md-12"><textarea class="form-control" id="text_lead_note" placeholder="Enter lead's note here..."></textarea></div>
                                            </div>
                                        </div>

                                        <div class="row justify-content-end">
                                            <div class="col-auto">
                                                <button class="btn btn-primary mt-md-0 mt-2" id="btn_view_all_leads"> <i class="fa fa-chevron-left"></i> Go back</button>
                                                <button class="btn btn-block btn-primary mt-md-0 mt-2" id="btn_update_lead">Update Lead</button>
                                            </div>
                                        </div>

                                    </div>

                                </div>

                                

                            </div>
                        </div> -->
                        
                    </div>
                    <!-- Container-fluid Ends-->
                </div>

                <!-- footer start-->
                <?php include_once('../includes/footers/footer.php'); ?>
                <!-- footer end-->
            </div>
        </div>


    <!-- latest jquery-->
    <script src="../assets/js/jquery-3.3.1.min.js"></script>

    <!-- Bootstrap js-->
    <script src="../assets/js/bootstrap.bundle.min.js"></script>

    <!-- feather icon js-->
    <script src="../assets/js/icons/feather-icon/feather.min.js"></script>
    <script src="../assets/js/icons/feather-icon/feather-icon.js"></script>

    <!-- Sidebar jquery-->
    <script src="../assets/js/sidebar-menu.js"></script>
    <script src="../assets/js/slick.js"></script>

    <!-- lazyload js-->
    <script src="../assets/js/lazysizes.min.js"></script>

    <!--right sidebar js-->
    <script src="../assets/js/chat-menu.js"></script>

    <!--script admin-->
    <script src="../assets/js/admin-script.js"></script>

    <!-- Sweetalert2 js-->
    <script src="../assets/custom-assets/lib/sweetalert2/sweetalert2.all.min.js"></script>

    <!-- Moment js-->
    <script src="../assets/custom-assets/lib/momentjs/moment.min.js"></script>

    <!-- JDataTable js -->
    <!-- <script src="../assets/lib/DataTables/datatables.min.js"></script> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/v/dt/jszip-3.10.1/dt-1.13.6/af-2.6.0/b-2.4.2/b-colvis-2.4.2/b-html5-2.4.2/b-print-2.4.2/cr-1.7.0/date-1.5.1/fc-4.3.0/fh-3.4.0/kt-2.10.0/r-2.5.0/rg-1.4.1/rr-1.4.1/sc-2.2.0/sb-1.6.0/sp-2.2.0/sl-1.7.0/sr-1.3.0/datatables.min.js"></script>


    <!-- view lead -->
    <script src="assets/js/view-lead.js"></script>


</body>

</html>