<?php session_start();

function hasParameterWithValue($param) {
    return isset($_GET[$param]) && !empty($_GET[$param]);
}

if (!hasParameterWithValue('id')) {
    header('Location: ./all-students.php');
    exit();
}

if(isset($_SESSION['log_session']) && !empty($_SESSION['log_session'])){

    $user_id = $_SESSION['log_session']['user_id'];
    $user_role_name = $_SESSION['log_session']['user_role_name'];
    $user_role_id = $_SESSION['log_session']['user_role_id'];
    $user_first_name =  $_SESSION['log_session']['user_first_name'];

    // echo "<script> var log_session = []; log_session  = '". json_encode($_SESSION['log_session']) ."';</script>";

}else {
    header('Location: ../login.php');
    exit();
}

?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description"
        content="AIC / IMC Campus admin is super flexible, powerful, clean &amp; modern responsive bootstrap 4 admin template with unlimited possibilities.">
    <meta name="keywords"
        content="admin template, AIC / IMC Campus admin template, dashboard template, flat admin template, responsive admin template, web app">
    <meta name="author" content="pixelstrap">
    <link rel="icon" href="../assets/images/dashboard/favicon.png" type="image/x-icon">
    <link rel="shortcut icon" href="../assets/images/dashboard/favicon.png" type="image/x-icon">

    <title>View Student | AIC IMC Campus</title>

    <!-- Google font-->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css2?family=Work+Sans:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,500;1,600;1,700;1,800;1,900&display=swap">

    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">


    <!-- Font Awesome-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/font-awesome.css">

    <!-- Flag icon-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/themify-icons.css">

    <!-- slick icon-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/slick.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/slick-theme.css">

    <!-- Bootstrap css-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/bootstrap.css">

    <!-- App css-->
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">

    <!-- global css-->
    <link rel="stylesheet" type="text/css" href="../assets/custom-assets/css/global.css">
    
    <!-- JDataTable - css -->
    <!-- <link href="../assets/lib/DataTables/datatables.min.css" rel="stylesheet"> -->
    <link href="https://cdn.datatables.net/v/dt/jszip-3.10.1/dt-1.13.6/af-2.6.0/b-2.4.2/b-colvis-2.4.2/b-html5-2.4.2/b-print-2.4.2/cr-1.7.0/date-1.5.1/fc-4.3.0/fh-3.4.0/kt-2.10.0/r-2.5.0/rg-1.4.1/rr-1.4.1/sc-2.2.0/sb-1.6.0/sp-2.2.0/sl-1.7.0/sr-1.3.0/datatables.min.css" rel="stylesheet">
    
    <link rel="stylesheet" type="text/css" href="assets/css/view-student.css">

</head>

<body>

        <!-- page-wrapper Start-->
        <div class="page-wrapper">

            <!-- Page Header Start-->
            <?php include_once('../includes/headers/header.php'); ?>
            <!-- Page Header Ends -->

            <!-- Page Body Start-->
            <div class="page-body-wrapper">

                <!-- Page Sidebar Start-->
                <?php include_once('../includes/Sidebar/sidebar.php'); ?>
                <!-- Page Sidebar Ends-->

                <!-- Right sidebar Start-->
                <?php include_once('../includes/rightsidebar/rightsiderbar.php'); ?>
                <!-- Right sidebar Ends-->

                <div class="page-body">
                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        <div class="page-header">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="page-header-left">
                                        <h3>View Student
                                            <small>AIC IMC CAMPUS</small>
                                        </h3>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <ol class="breadcrumb pull-right">
                                        <li class="breadcrumb-item">
                                            <a href="./dashboard.php">
                                                <i data-feather="home"></i>
                                            </a>
                                        </li>
                                        <li class="breadcrumb-item active">View Student</li>
                                    </ol>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Container-fluid Ends-->

                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        
                        <div class="card">

                            <div class="card-body">

                                <div class="row form_cstm_row form-group">
                                    <div class="col-md-6">
                                        <strong><label>Student ID </label></strong>
                                        <p id="student_id_txt_group"><strong id="student_id"></strong> (&nbsp;<strong id="student_status"></strong>&nbsp;)</p>
                                    </div>
                                </div>


                                <div class="row form_cstm_row">
                                    <div class="col-md-3 form_cstm_col cstm_mq">
                                        <strong><label>First Name</label></strong>
                                        <p><strong id="first_name">Kamal</strong></p>
                                    </div>
                                    <div class="col-md-3 form_cstm_col">
                                        <strong><label>Last Name</label></strong>
                                        <p><strong id="last_name">Fernando</strong></p>
                                    </div>
                                    <div class="col-md-6 form_cstm_col cstm_mq">
                                        <strong><label>Gender</label></strong>
                                        <p><strong id="student_gender">N/A</strong></p>
                                    </div>
                                </div>

                                <div class="row form_cstm_row">
                                    <div class="col-md-3 form_cstm_col cstm_mq">
                                        <strong><label>NIC / Passport Number</label></strong>
                                        <p><strong id="nic_passport_id">997895425V</strong></p>
                                    </div>
                                    <div class="col-md-3 form_cstm_col cstm_mq">
                                        <strong><label>Preferred Language </label></strong>
                                        <p><strong id="pref_lang">EN</strong></p>
                                    </div>
                                    <div class="col-md-3 form_cstm_col">
                                        <strong><label>Campus</label></strong>
                                        <p><strong id="campus_name">AIC</strong></p>
                                    </div>
                                    <div class="col-md-3 form_cstm_col cstm_mq">
                                        <strong><label>Branch</label></strong>
                                        <p><strong id="branch_name">AIC Colombo</strong></p>
                                    </div>
                                </div>

                                <div class="row form_cstm_row">
                                    <div class="col-md-3 form_cstm_col cstm_mq">
                                        <strong><label>Phone #1</label></strong>
                                        <p><strong id="phone_1">0778978450</strong></p>
                                    </div>
                                    <div class="col-md-3 form_cstm_col">
                                        <strong><label>Phone #2</label></strong>
                                        <p><strong id="phone_2">N/A</strong></p>
                                    </div>
                                    <div class="col-md-6 form_cstm_col cstm_mq">
                                        <strong><label>Email Address</label></strong>
                                        <p><strong id="email_address">kamal@gmail.com</strong></p>
                                    </div>
                                </div>

                                <div class="row form_cstm_row">
                                    <div class="col-md-6 form_cstm_col">
                                        <strong><label>Address</label>&nbsp;<span class="required-mark">*</span></strong>
                                        <textarea class="form-control textarea_address" id="textarea_address" placeholder="Enter student's address here..." readonly></textarea>
                                    </div>
                                    <div class="col-md-6 form_cstm_col">
                                        <strong><label>Student Note</label>&nbsp;<span class="required-mark">*</span></strong>
                                        <textarea class="form-control textarea_student_note" id="textarea_student_note" placeholder="Enter student's note here..." readonly></textarea>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <!-- Container-fluid Ends-->

                    <!-- Academic Information - start -->
                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        
                        <div class="card">

                            <div class="card-header">
                                <div class="row form-group">
                                    <div class="col-md-12">
                                        <strong class="card-head-title"><label>Academic Information</label></strong>
                                    </div>
                                </div>
                            </div>

                            <div class="card-body">

                                <!-- higher education row - start -->
                                <div class="row form-group">

                                    <div class="row form_cstm_row">
                                        <div class="col-md-6">
                                            <p id="subheading_para"><strong class="">High Education</strong></p>
                                        </div>
                                    </div>


                                    <div class="row form_cstm_row">
                                        <div class="col-md-3 form_cstm_col">
                                            <strong><label>Certificate</label></strong>
                                            <p id="high_education_document"><a href="#"><img src="../assets/images/dashboard/product/1.jpg" data-field="image" alt=""></a></p>
                                        </div>
                                    </div>

                                </div>
                                <!-- higher education row - end -->

                                <!-- Advanced level row - start -->
                                <div class="row form-group">
                                    
                                    <div class="row form_cstm_row">
                                        <div class="col-md-6">
                                            <p id="subheading_para"><strong class="">Advanced Level</strong></p>
                                        </div>
                                    </div>

                                    <div class="row form_cstm_row">
                                        <div class="col-md-3 form_cstm_col cstm_mq">
                                            <strong><label>Year</label></strong>
                                            <p><strong id="al_year">2015</strong></p>
                                        </div>
                                        <div class="col-md-3 form_cstm_col">
                                            <strong><label>Method</label></strong>
                                            <p><strong id="al_method">Method 01</strong></p>
                                        </div>
                                        <div class="col-md-6 form_cstm_col cstm_mq">
                                            <strong><label>Stream</label></strong>
                                            <p><strong id="al_stream">Commerce</strong></p>
                                        </div>
                                    </div>

                                    <div class="row form_cstm_row">
                                        <div class="col-md-3 form_cstm_col cstm_mq">
                                            <strong><label>Certificate</label></strong>
                                            <p><a href="#"><img src="../assets/images/dashboard/product/1.jpg" data-field="image" alt=""></a></p>
                                        </div>
                                    </div>

                                    <div class="row form_cstm_row">

                                        <div class="table-responsive table_al_results_container">
                                            <table class="table fixed-width-table" id="table_al_ol_results">
                                                <thead>
                                                    <tr>
                                                        <th colspan="8">Results</th>
                                                    </tr>
                                                    <tr>
                                                        <th class="">A+</th>
                                                        <th class="">A</th>
                                                        <th class="">B</th>
                                                        <th class="">C</th>
                                                        <th class="">D</th>
                                                        <th class="">S</th>
                                                        <th class="">E</th>
                                                        <th class="">F</th>
                                                    </tr>
                                                </thead>

                                                <tbody id="table_al_results_body">
                                                    <tr>
                                                        <td>1</td>
                                                        <td>2</td>
                                                        <td>2</td>
                                                        <td>3</td>
                                                        <td>0</td>
                                                        <td>1</td>
                                                        <td>0</td>
                                                        <td>0</td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>

                                    </div>

                                </div>
                                <!-- Advanced level row - end -->

                                <!-- Ordinary level row - start -->
                                <div class="row form-group">
                                    
                                    <div class="row form_cstm_row">
                                        <div class="col-md-6">
                                            <p id="subheading_para"><strong class="">Ordinary Level</strong></p>
                                        </div>
                                    </div>

                                    <div class="row form_cstm_row">
                                        <div class="col-md-3 form_cstm_col cstm_mq">
                                            <strong><label>Year</label></strong>
                                            <p><strong id="ol_year">2015</strong></p>
                                        </div>
                                        <div class="col-md-3 form_cstm_col">
                                            <strong><label>Method</label></strong>
                                            <p><strong id="ol_method">Method 01</strong></p>
                                        </div>
                                    </div>

                                    <div class="row form_cstm_row">
                                        <div class="col-md-3 form_cstm_col cstm_mq">
                                            <strong><label>Certificate</label></strong>
                                            <p><a href="#"><img src="../assets/images/dashboard/product/1.jpg" data-field="image" alt=""></a></p>
                                        </div>
                                    </div>

                                    <div class="row form_cstm_row">

                                        <div class="table-responsive table_ol_results_container">
                                            <table class="table fixed-width-table" id="table_al_ol_results">
                                                <thead>
                                                    <tr>
                                                        <th colspan="8">Results</th>
                                                    </tr>
                                                    <tr>
                                                        <th class="">A+</th>
                                                        <th class="">A</th>
                                                        <th class="">B</th>
                                                        <th class="">C</th>
                                                        <th class="">D</th>
                                                        <th class="">S</th>
                                                        <th class="">E</th>
                                                        <th class="">F</th>
                                                    </tr>
                                                </thead>

                                                <tbody id="table_al_results_body">
                                                    <tr>
                                                        <td>1</td>
                                                        <td>2</td>
                                                        <td>2</td>
                                                        <td>3</td>
                                                        <td>0</td>
                                                        <td>1</td>
                                                        <td>0</td>
                                                        <td>0</td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>

                                    </div>

                                </div>
                                <!-- Ordinary level row - end -->

                            </div>
                        </div>
                    </div>
                    <!-- Container-fluid Ends-->
                    <!-- Academic Information - end -->


                    <!-- student's portfolio - start -->
                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">

                                    <div class="card-header">
                                        <div class="row form-group">
                                            <div class="col-md-12">
                                                <strong class="card-head-title"><label>Portfolios (Q & A)</label></strong>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-12">

                                                <!-- start -->
                                                <div class="accordion accordion-flush" id="accordionFlushExample">
                                                    <div class="accordion-item">
                                                        <h2 class="accordion-header" id="flush-headingOne">
                                                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapseOne" aria-expanded="false" aria-controls="flush-collapseOne">
                                                            What is your name
                                                        </button>
                                                        </h2>
                                                        <div id="flush-collapseOne" class="accordion-collapse collapse" aria-labelledby="flush-headingOne" data-bs-parent="#accordionFlushExample">
                                                        <div class="accordion-body">My name Kamal</div>
                                                        </div>
                                                    </div>
                                                    <div class="accordion-item">
                                                        <h2 class="accordion-header" id="flush-headingTwo">
                                                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapseTwo" aria-expanded="false" aria-controls="flush-collapseTwo">
                                                            How old are you ?
                                                        </button>
                                                        </h2>
                                                        <div id="flush-collapseTwo" class="accordion-collapse collapse" aria-labelledby="flush-headingTwo" data-bs-parent="#accordionFlushExample">
                                                        <div class="accordion-body">I am 20 years old</div>
                                                        </div>
                                                    </div>
                                                    <div class="accordion-item">
                                                        <h2 class="accordion-header" id="flush-headingThree">
                                                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapseThree" aria-expanded="false" aria-controls="flush-collapseThree">
                                                            Why do you choose us ?
                                                        </button>
                                                        </h2>
                                                        <div id="flush-collapseThree" class="accordion-collapse collapse" aria-labelledby="flush-headingThree" data-bs-parent="#accordionFlushExample">
                                                        <div class="accordion-body">This campus provide standards programs</div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- end -->

                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>
                    <!-- student's portfolio - end -->

                    <!-- parent Information - start -->
                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        
                        <div class="card">

                            <div class="card-header">
                                        <div class="row form-group">
                                            <div class="col-md-12">
                                                <strong class="card-head-title"><label>Parent Information</label></strong>
                                            </div>
                                        </div>
                                    </div>

                            <div class="card-body">

                                <div class="row form_cstm_row form-group">
                                    <div class="col-md-6">
                                        <p id="subheading_para"><strong id="">Father's Details</strong></p>
                                    </div>
                                </div>

                                <div class="row form_cstm_row">
                                    <div class="col-md-3 form_cstm_col cstm_mq">
                                        <strong><label>Name</label></strong>
                                        <p><strong id="f_name">Kamal</strong></p>
                                    </div>
                                    <div class="col-md-3 form_cstm_col">
                                        <strong><label>Occupation</label></strong>
                                        <p><strong id="f_occupation">Enginner</strong></p>
                                    </div>
                                    <div class="col-md-6 form_cstm_col cstm_mq">
                                        <strong><label>Organization</label></strong>
                                        <p><strong id="f_organization">N/A</strong></p>
                                    </div>
                                </div>

                                <div class="row form_cstm_row">
                                    <div class="col-md-3 form_cstm_col cstm_mq">
                                        <strong><label>Phone #1</label></strong>
                                        <p><strong id="f_phone_1">Kamal</strong></p>
                                    </div>
                                    <div class="col-md-3 form_cstm_col">
                                        <strong><label>Phone #2</label></strong>
                                        <p><strong id="f_phone_2">Fernando</strong></p>
                                    </div>
                                </div>

                                <div class="row form_cstm_row form-group">
                                    <div class="col-md-6">
                                        <p id="subheading_para"><strong id="">Mother's Details</strong></p>
                                    </div>
                                </div>

                                <div class="row form_cstm_row">
                                    <div class="col-md-3 form_cstm_col cstm_mq">
                                        <strong><label>Name</label></strong>
                                        <p><strong id="m_name">Kamal</strong></p>
                                    </div>
                                    <div class="col-md-3 form_cstm_col">
                                        <strong><label>Occupation</label></strong>
                                        <p><strong id="m_occupation">N/A</strong></p>
                                    </div>
                                    <div class="col-md-6 form_cstm_col cstm_mq">
                                        <strong><label>Organization</label></strong>
                                        <p><strong id="m_organization">N/A</strong></p>
                                    </div>
                                </div>

                                <div class="row form_cstm_row">
                                    <div class="col-md-3 form_cstm_col cstm_mq">
                                        <strong><label>Phone #1</label></strong>
                                        <p><strong id="m_phone_1">Kamal</strong></p>
                                    </div>
                                    <div class="col-md-3 form_cstm_col">
                                        <strong><label>Phone #2</label></strong>
                                        <p><strong id="m_phone_2">Fernando</strong></p>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <!-- Container-fluid Ends-->
                    <!-- parent Information - end -->

                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">

                                    <div class="card-header">
                                        <div class="row form-group">
                                            <div class="col-md-12">
                                                <strong class="card-head-title"><label>Enrolled Program Information</label></strong>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="table-responsive table_enrolled_program_container">
                                                    <table class="table" id="table_enrolled_program">
                                                        <thead>
                                                            <tr>
                                                                <th class="">#</th>
                                                                <th class="">Program Code</th>
                                                                <th class="">Program Name</th>
                                                                <th class="">Program Cost</th>
                                                                <th class="">Start Date</th>
                                                                <th class="">End Date</th>
                                                                <th class="">Enrolled Date & Time</th>
                                                            </tr>
                                                        </thead>

                                                        <tbody id="table_enrolled_program_body">
                                                            <tr>
                                                                <td class="">1</td>
                                                                <td class="">ADIP-IT</td>
                                                                <td class=""><textarea class="textarea_enrolled_program_note" readonly>Advanced Diploma in Information Technology</textarea></td>
                                                                <td class="">50,000.00</td>
                                                                <td class="">2024-06-01</td>
                                                                <td class="">2024-12-01</td>
                                                                <td class="">2024-12-01 14:25</td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>


                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">

                                    <div class="card-header">
                                        <div class="row form-group">
                                            <div class="col-md-12">
                                                <strong class="card-head-title"><label>Payment Plan</label></strong>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="table-responsive table_payment_plan_container">
                                                    <table class="table" id="table_payment_plan">
                                                        <thead>
                                                            <tr>
                                                                <th class="">#</th>
                                                                <th class="">Due Date</th>
                                                                <th class="">Payment</th>
                                                                <th class="">Additional Payment</th>
                                                                <th class="">Remarks</th>
                                                            </tr>
                                                        </thead>

                                                        <tbody id="table_payment_plan_body">
                                                            <tr>
                                                                <td class="">1</td>
                                                                <td class="">2024-06-1</td>
                                                                <td class="">30,000.00</td>
                                                                <td class="">0.00</td>
                                                                <td class=""><textarea class="textarea_payment_plan" readonly>Initial Payment</textarea></td>
                                                            </tr>
                                                            <tr>
                                                                <td class="">2</td>
                                                                <td class="">2024-07-1</td>
                                                                <td class="">30,000.00</td>
                                                                <td class="">0.00</td>
                                                                <td class=""><textarea class="textarea_payment_plan" readonly>Second payment</textarea></td>
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="row">
                        <div class="row justify-content-end">
                            <div class="col-auto">
                                <button class="btn btn-primary mt-md-0 mt-2" id="btn_view_pending_registrants"> <i class="fa fa-chevron-left"></i> Go back</button>
                                <button class="btn btn-block btn-primary mt-md-0 mt-2" id="btn_create_account">Create Account</button>
                            </div>
                        </div>
                    </div>

                </div>

                <!-- footer start-->
                <?php include_once('../includes/footers/footer.php'); ?>
                <!-- footer end-->
            </div>
        </div>


    <!-- latest jquery-->
    <script src="../assets/js/jquery-3.3.1.min.js"></script>

    <!-- Bootstrap js-->
    <script src="../assets/js/bootstrap.bundle.min.js"></script>

    <!-- feather icon js-->
    <script src="../assets/js/icons/feather-icon/feather.min.js"></script>
    <script src="../assets/js/icons/feather-icon/feather-icon.js"></script>

    <!-- Sidebar jquery-->
    <script src="../assets/js/sidebar-menu.js"></script>
    <script src="../assets/js/slick.js"></script>

    <!-- lazyload js-->
    <script src="../assets/js/lazysizes.min.js"></script>

    <!--right sidebar js-->
    <script src="../assets/js/chat-menu.js"></script>

    <!--script admin-->
    <script src="../assets/js/admin-script.js"></script>

    <!-- Sweetalert2 js-->
    <script src="../assets/custom-assets/lib/sweetalert2/sweetalert2.all.min.js"></script>

    <!-- Moment js-->
    <script src="../assets/custom-assets/lib/momentjs/moment.min.js"></script>

    <!-- JDataTable js -->
    <!-- <script src="../assets/lib/DataTables/datatables.min.js"></script> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/v/dt/jszip-3.10.1/dt-1.13.6/af-2.6.0/b-2.4.2/b-colvis-2.4.2/b-html5-2.4.2/b-print-2.4.2/cr-1.7.0/date-1.5.1/fc-4.3.0/fh-3.4.0/kt-2.10.0/r-2.5.0/rg-1.4.1/rr-1.4.1/sc-2.2.0/sb-1.6.0/sp-2.2.0/sl-1.7.0/sr-1.3.0/datatables.min.js"></script>


    <!-- view lead -->
    <script src="assets/js/view-student.js"></script>


</body>

</html>