<?php session_start();

function hasParameterWithValue($param) {
    return isset($_GET[$param]) && !empty($_GET[$param]);
}

if (!hasParameterWithValue('id')) {
    header('Location: ./all-students.php');
    exit();
}

if(isset($_SESSION['log_session']) && !empty($_SESSION['log_session'])){

    $user_id = $_SESSION['log_session']['user_id'];
    $user_role_name = $_SESSION['log_session']['user_role_name'];
    $user_role_id = $_SESSION['log_session']['user_role_id'];
    $user_first_name =  $_SESSION['log_session']['user_first_name'];

    // echo "<script> var log_session = []; log_session  = '". json_encode($_SESSION['log_session']) ."';</script>";

}else {
    header('Location: ../login.php');
    exit();
}

?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description"
        content="AIC / IMC Campus admin is super flexible, powerful, clean &amp; modern responsive bootstrap 4 admin template with unlimited possibilities.">
    <meta name="keywords"
        content="admin template, AIC / IMC Campus admin template, dashboard template, flat admin template, responsive admin template, web app">
    <meta name="author" content="pixelstrap">
    <link rel="icon" href="../assets/images/dashboard/favicon.png" type="image/x-icon">
    <link rel="shortcut icon" href="../assets/images/dashboard/favicon.png" type="image/x-icon">

    <title>View Student | AIC IMC Campus</title>

    <!-- Google font-->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css2?family=Work+Sans:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,500;1,600;1,700;1,800;1,900&display=swap">

    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap">


    <!-- Font Awesome-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/font-awesome.css">

    <!-- Flag icon-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/themify-icons.css">

    <!-- slick icon-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/slick.css">
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/slick-theme.css">

    <!-- Bootstrap css-->
    <link rel="stylesheet" type="text/css" href="../assets/css/vendors/bootstrap.css">

    <!-- App css-->
    <link rel="stylesheet" type="text/css" href="../assets/css/style.css">

    <!-- global css-->
    <link rel="stylesheet" type="text/css" href="../assets/custom-assets/css/global.css">
    
    <!-- JDataTable - css -->
    <!-- <link href="../assets/lib/DataTables/datatables.min.css" rel="stylesheet"> -->
    <link href="https://cdn.datatables.net/v/dt/jszip-3.10.1/dt-1.13.6/af-2.6.0/b-2.4.2/b-colvis-2.4.2/b-html5-2.4.2/b-print-2.4.2/cr-1.7.0/date-1.5.1/fc-4.3.0/fh-3.4.0/kt-2.10.0/r-2.5.0/rg-1.4.1/rr-1.4.1/sc-2.2.0/sb-1.6.0/sp-2.2.0/sl-1.7.0/sr-1.3.0/datatables.min.css" rel="stylesheet">
    
    <link rel="stylesheet" type="text/css" href="assets/css/view-student.css">

</head>

<body>

<div id="loading">
    <img src="../assets/loading2.gif" alt="Loading...">
</div>

        <!-- page-wrapper Start-->
        <div class="page-wrapper">

            <!-- Page Header Start-->
            <?php include_once('../includes/headers/header.php'); ?>
            <!-- Page Header Ends -->

            <!-- Page Body Start-->
            <div class="page-body-wrapper">

                <!-- Page Sidebar Start-->
                <?php include_once('../includes/Sidebar/sidebar.php'); ?>
                <!-- Page Sidebar Ends-->

                <!-- Right sidebar Start-->
                <?php include_once('../includes/rightsidebar/rightsiderbar.php'); ?>
                <!-- Right sidebar Ends-->

                <div class="page-body">
                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        <div class="page-header">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="page-header-left">
                                        <h3>View Student
                                            <small>AIC IMC CAMPUS</small>
                                        </h3>
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <ol class="breadcrumb pull-right">
                                        <li class="breadcrumb-item">
                                            <a href="./dashboard.php">
                                                <i data-feather="home"></i>
                                            </a>
                                        </li>
                                        <li class="breadcrumb-item active">View Student</li>
                                    </ol>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Container-fluid Ends-->

                    <!-- Container-fluid starts-->
                    <div class="container-fluid">
                        
                        <div class="card">

                            <div class="card-body">

                                <ul class="nav nav-tabs nav-material" id="top-tab" role="tablist">
                                    <li class="nav-item"><a class="nav-link active" id="top-profile-tab"
                                            data-bs-toggle="tab" href="#top-profile" role="tab"
                                            aria-controls="top-profile" aria-selected="true"><i data-feather="user"
                                                class="me-2"></i>Basic Info</a>
                                    </li>
                                    <li class="nav-item"><a class="nav-link" id="top-academic-tab"
                                            data-bs-toggle="tab" href="#top-academic" role="tab"
                                            aria-controls="top-academic" aria-selected="false"><i
                                                data-feather="book" class="me-2"></i>Education Qualification</a>
                                    </li>
                                    <li class="nav-item"><a class="nav-link" id="top-prof-experience-tab"
                                            data-bs-toggle="tab" href="#top-prof-experience" role="tab"
                                            aria-controls="top-prof-experience" aria-selected="false"><i
                                                data-feather="briefcase" class="me-2"></i>Professional Experience</a>
                                    </li>
                                    <li class="nav-item"><a class="nav-link" id="top-parent-tab"
                                            data-bs-toggle="tab" href="#top-parent" role="tab"
                                            aria-controls="top-parent" aria-selected="false"><i
                                                data-feather="users" class="me-2"></i>Parent Info</a>
                                    </li>
                                    <li class="nav-item"><a class="nav-link" id="top-portfolio-tab"
                                            data-bs-toggle="tab" href="#top-portfolio" role="tab"
                                            aria-controls="top-portfolio" aria-selected="false"><i
                                                data-feather="book-open" class="me-2"></i>Portfolio</a>
                                    </li>
                                    <li class="nav-item"><a class="nav-link" id="top-enrollment-tab"
                                            data-bs-toggle="tab" href="#top-enrollment" role="tab"
                                            aria-controls="top-enrollment" aria-selected="false"><i
                                                data-feather="log-in" class="me-2"></i>Enrollment</a>
                                    </li>
                                    
                                </ul>

                                <div class="tab-content" id="top-tabContent">
                                    
                                    <!-- student basic info - start -->
                                    <div class="tab-pane fade show active student-tabs" id="top-profile" role="tabpanel" aria-labelledby="top-profile-tab">

                                        <!-- a -->
                                        <div class="row form_cstm_row form-group">
                                            <div class="col-md-6">
                                                <strong><label>Student ID </label></strong>
                                                <p id="student_id_txt_group"><strong id="student_id">1</strong> (&nbsp;<strong id="student_status">Enrolled</strong>&nbsp;)</p>
                                            </div>
                                        </div>


                                        <div class="row form_cstm_row">
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>First Name</label></strong>
                                                <p><strong id="first_name"></strong></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col">
                                                <strong><label>Last Name</label></strong>
                                                <p><strong id="last_name"></strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>Gender</label></strong>
                                                <p><strong id="student_gender"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row">
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>NIC / Passport Number</label></strong>
                                                <p><strong id="nic_passport_id"></strong></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Preferred Language </label></strong>
                                                <p><strong id="pref_lang"></strong></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col">
                                                <strong><label>Campus</label></strong>
                                                <p><strong id="campus_name"></strong></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Branch</label></strong>
                                                <p><strong id="branch_name"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row">
                                            <div class="col-md-3 form_cstm_col cstm_mq">
                                                <strong><label>Phone #1</label></strong>
                                                <p><strong id="phone_1"></strong></p>
                                            </div>
                                            <div class="col-md-3 form_cstm_col">
                                                <strong><label>Phone #2</label></strong>
                                                <p><strong id="phone_2"></strong></p>
                                            </div>
                                            <div class="col-md-6 form_cstm_col cstm_mq">
                                                <strong><label>Email Address</label></strong>
                                                <p><strong id="email_address"></strong></p>
                                            </div>
                                        </div>

                                        <div class="row form_cstm_row">
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>Address</label>&nbsp;<span class="required-mark">*</span></strong>
                                                <textarea class="form-control textarea_address" id="textarea_address" placeholder="Enter student's address here..." readonly></textarea>
                                            </div>
                                            <div class="col-md-6 form_cstm_col">
                                                <strong><label>Student Note</label>&nbsp;<span class="required-mark">*</span></strong>
                                                <textarea class="form-control textarea_student_note" id="textarea_student_note" placeholder="Enter student's note here..." readonly></textarea>
                                            </div>
                                        </div>
                                        <!-- a -->

                                    </div>
                                    <!-- student basic info - end -->

                                    <!-- education Info - start -->
                                    <div class="tab-pane fade show student-tabs" id="top-academic" role="tabpanel" aria-labelledby="top-academic-tab">
                                        <form action="" id="form_education_data" enctype="multipart/form-data">
                                            <div class="row form_cstm_row">
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    <strong><label>Education Type</label>&nbsp;<span class="required-mark">*</span></strong>
                                                    <select class="edu_type_select form-control" id="edu_type_select" name="edu_type_select" required="">
                                                        <option value=''>Select a Type</option>
                                                    </select>
                                                </div>
                                                <div class="col-md-3 form_cstm_col">
                                                    <strong><label>Qualification</label>&nbsp;<span class="required-mark">*</span></strong>
                                                    <select class="edu_qual_select form-control" id="edu_qual_select" name="edu_qual_select" required="">
                                                        <option value="" selected="">Select a Qualification</option>
                                                    </select>
                                                </div>

                                                <div class="col-md-2 form_cstm_col">
                                                    <strong><label>Start Date</label></strong>
                                                    <p><input type="date" class="form-control edu_start_date" id="edu_start_date" name="edu_start_date" /></p>
                                                </div>
                                                
                                                <div class="col-md-2 form_cstm_col">
                                                    <strong><label>End Date</label></strong>
                                                    <p><input type="date" class="form-control edu_end_date" id="edu_end_date" name="edu_end_date"/></p>
                                                </div>

                                                <div class="col-md-2 form_cstm_col">
                                                    <div class="check_current_study_group">
                                                        <strong><label>Current Study</label></strong>
                                                        <p>
                                                            <input class="checkbox_animated check-it edu_cur_study_check" type="checkbox" value="" id="edu_cur_study_check" name="edu_cur_study_check">
                                                        </p>
                                                    </div>
                                                </div>

                                            </div>

                                            <div class="row form_cstm_row">
                                                <div class="col-md-4 form_cstm_col cstm_mq">
                                                    <strong><label>Institute</label></strong>
                                                    <textarea class="form-control edu_institute" id="edu_institute" name="edu_institute" placeholder=""></textarea>
                                                </div>
                                                <div class="col-md-4 form_cstm_col cstm_mq">
                                                    <strong><label>Additional Info</label></strong>
                                                    <textarea class="form-control edu_additional_info" id="edu_additional_info" name="edu_additional_info" placeholder=""></textarea>
                                                </div>
                                                

                                                <div class="col-md-4 form_cstm_col">
                                                    <strong><label>Document (.pdf)</label></strong>
                                                    <p><input type="file" class="form-control edu_document" id="edu_document" name="edu_document" accept=".pdf"></p>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-12 edu_btn_submit_group">
                                                    <button class="btn btn-primary mt-md-0 mt-2" id="btn_edu_submit"> Submit &nbsp;<i class="fa fa-save"></i></button>
                                                </div>
                                            </div>
                                        </form>
                                    
                                        <!-- academic table - start -->
                                        <div class="row edu_info_table_row">
                                            <div class="col-md-12">
                                                <div class="table-responsive">
                                                    <table id="edu_education_info_table" class="display">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Education Type</th>
                                                                <th>Qualification</th>
                                                                <th>Start Date</th>
                                                                <th>End Date</th>
                                                                <th>Current Study</th>
                                                                <th>DOC. Status</th>
                                                                <th>Actions</th> <!-- Add a new column for buttons -->
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- academic table - end -->

                                    </div>
                                    <!-- Academic info - end -->

                                    <!-- professional experience - start -->
                                    <div class="tab-pane fade show student-tabs" id="top-prof-experience" role="tabpanel" aria-labelledby="top-prof-experience-tab">
                                        
                                        <form action="" id="form_work_data" enctype="multipart/form-data">
                                            <div class="row form_cstm_row">
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    <strong><label>Job Title</label>&nbsp;<span class="required-mark">*</span></strong>
                                                    <p><input type="text" class="form-control pe_job_title" id="pe_job_title" name="pe_job_title" /></p>
                                                </div>
                                                <div class="col-md-3 form_cstm_col">
                                                    <strong><label>Organization</label></strong>
                                                    <p><input type="text" class="form-control pe_organization" id="pe_organization" name="pe_organization" /></p>
                                                </div>

                                                <div class="col-md-2 form_cstm_col">
                                                    <strong><label>Start Date</label></strong>
                                                    <p><input type="date" class="form-control pe_start_date" id="pe_start_date" name="pe_start_date" /></p>
                                                </div>
                                                
                                                <div class="col-md-2 form_cstm_col">
                                                    <strong><label>End Date</label></strong>
                                                    <p><input type="date" class="form-control pe_end_date" id="pe_end_date" name="pe_end_date" /></p>
                                                </div>

                                                <div class="col-md-2 form_cstm_col">
                                                    <div class="check_current_work_group">
                                                        <strong><label>Current Work</label></strong>
                                                        <p><input class="checkbox_animated check-it pe_current_work_check" type="checkbox" value="" id="pe_current_work_check" name="pe_current_work_check"></p>
                                                    </div>
                                                </div>

                                            </div>

                                            <div class="row form_cstm_row">
                                                <div class="col-md-8 form_cstm_col cstm_mq">
                                                    <strong><label>Additional Info</label></strong>
                                                    <textarea class="form-control pe_additional_info" id="pe_additional_info" placeholder="" name="pe_additional_info"></textarea>
                                                </div>
                                                
                                                <div class="col-md-4 form_cstm_col">
                                                    <strong><label>Document (.pdf)</label></strong>
                                                    <p><input type="file" class="form-control pe_document" id="pe_document" accept=".pdf" name="pe_document"></p>
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-12 pe_btn_submit_group">
                                                    <button class="btn btn-primary mt-md-0 mt-2" id="btn_pe_submit"> Submit &nbsp;<i class="fa fa-save"></i></button>
                                                </div>
                                            </div>
                                        </form>
                                    
                                        <!-- academic table - start -->
                                        <div class="row aca_education_info_table_row">
                                            <div class="col-md-12">
                                                <div class="table-responsive">
                                                    <table id="pe_work_info_table" class="display">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Job Title</th>
                                                                <th>Organization</th>
                                                                <th>Start Date</th>
                                                                <th>End Date</th>
                                                                <th>Current Work</th>
                                                                <th>DOC. Status</th>
                                                                <th>Actions</th> <!-- Add a new column for buttons -->
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                        <!-- academic table - end -->

                                    </div>
                                    <!-- professional experience - end -->

                                    <!-- parent info - start -->
                                    <div class="tab-pane fade show student-tabs" id="top-parent" role="tabpanel" aria-labelledby="top-parent-tab">

                                        <form action="" id="form_parents">

                                            <div class="row form_cstm_row form-group">
                                                <div class="col-md-6">
                                                    <p id="subheading_para"><strong id="">Father's Details</strong></p>
                                                </div>
                                            </div>

                                            <div class="row form_cstm_row">
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    <strong><label>Name</label></strong>
                                                    <p><input type="text" class="form-control parent_f_name cstm_input_style_text" id="parent_f_name" name="parent_f_name"></p>
                                                </div>
                                                <div class="col-md-3 form_cstm_col">
                                                    <strong><label>Occupation</label></strong>
                                                    <p><input type="text" class="form-control parent_f_occupation cstm_input_style_text" id="parent_f_occupation" name="parent_f_occupation"></p>
                                                </div>
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    <strong><label>Organization</label></strong>
                                                    <p><input type="text" class="form-control parent_f_organization cstm_input_style_text" id="parent_f_organization" name="parent_f_organization"></p>
                                                </div>
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    
                                                </div>
                                            </div>

                                            <div class="row form_cstm_row">
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    <strong><label>Phone #1</label></strong>
                                                    <p><input type="text" class="form-control parent_f_phone_1 cstm_input_style_text" id="parent_f_phone_1" name="parent_f_phone_1"></p>
                                                </div>
                                                <div class="col-md-3 form_cstm_col">
                                                    <strong><label>Phone #2</label></strong>
                                                    <p><input type="text" class="form-control parent_f_phone_2 cstm_input_style_text" id="parent_f_phone_2" name="parent_f_phone_2"></p>
                                                </div>
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    
                                                </div>
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    
                                                </div>
                                            </div>

                                            <div class="row form_cstm_row form-group">
                                                <div class="col-md-6">
                                                    <p id="subheading_para"><strong id="">Mother's Details</strong></p>
                                                </div>
                                            </div>

                                            <div class="row form_cstm_row">
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    <strong><label>Name</label></strong>
                                                    <p><input type="text" class="form-control parent_m_name cstm_input_style_text" id="parent_m_name" name="parent_m_name"></p>
                                                </div>
                                                <div class="col-md-3 form_cstm_col">
                                                    <strong><label>Occupation</label></strong>
                                                    <p><input type="text" class="form-control parent_m_occupation cstm_input_style_text" id="parent_m_occupation" name="parent_m_occupation"></p>
                                                </div>
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    <strong><label>Organization</label></strong>
                                                    <p><input type="text" class="form-control parent_m_organization cstm_input_style_text" id="parent_m_organization" name="parent_m_organization"></p>
                                                </div>
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    
                                                </div>
                                            </div>

                                            <div class="row form_cstm_row">
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    <strong><label>Phone #1</label></strong>
                                                    <p><input type="text" class="form-control parent_m_phone_1 cstm_input_style_text" id="parent_m_phone_1" name="parent_m_phone_1"></p>
                                                </div>
                                                <div class="col-md-3 form_cstm_col">
                                                    <strong><label>Phone #2</label></strong>
                                                    <p><input type="text" class="form-control parent_m_phone_2 cstm_input_style_text" id="parent_m_phone_2" name="parent_m_phone_2"></p>
                                                </div>
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    
                                                </div>
                                                <div class="col-md-3 form_cstm_col cstm_mq">
                                                    
                                                </div>
                                            </div>

                                            <div class="row">
                                                <div class="col-md-12 parent_save_btn_col">
                                                    <button class="btn btn-primary mt-md-0 mt-2" id="btn_parent_submit"> Submit &nbsp;<i class="fa fa-save"></i></button>
                                                </div>
                                            </div>

                                        </form>
                                        

                                    </div>
                                    <!-- parent info - end -->

                                    <!-- portfolio - start -->
                                    <div class="tab-pane fade show student-tabs" id="top-portfolio" role="tabpanel" aria-labelledby="top-portfolio-tab">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <form action="" id="form_portfolio">
                                                    <div class="row form_cstm_row">
                                                        <div class="col-md-12 form_cstm_col cstm_mq">
                                                            <strong><label>Question</label>&nbsp;<span class="required-mark">*</span></strong>
                                                            <p><input type="text" class="form-control ques_title" id="ques_title" name="ques_title" required></p>
                                                        </div>
                                                    </div>
                                                    <div class="row form_cstm_row">
                                                        <div class="col-md-12 form_cstm_col cstm_mq">
                                                            <strong><label>Answer</label>&nbsp;<span class="required-mark">*</span></strong>
                                                            <textarea class="form-control ques_answer" id="ques_answer" placeholder="" name="ques_answer" required></textarea>
                                                        </div>
                                                    </div>
                                                    <div class="row form_cstm_row">
                                                        <div class="col-md-12 ques_btn_col">
                                                            <button class="btn btn-primary mt-md-0 mt-2" id="btn_ques_submit"> Submit &nbsp;<i class="fa fa-save"></i></button>
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                            <div class="col-md-6">

                                                <div class="accordion accordion-flush portfolio_list ques_scrollable-accordion" id="portfolio_list">

                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                    <!-- portfolio - end -->

                                    <!-- Enrollment - start -->
                                    <div class="tab-pane fade show student-tabs" id="top-enrollment" role="tabpanel" aria-labelledby="top-enrollment-tab">
                                        Student's Enrollment
                                    </div>
                                    <!-- Enrollment - end -->


                                </div>

                            </div>
                        </div>
                    </div>
                    <!-- Container-fluid Ends-->

                    <div class="row">
                        <div class="row justify-content-end">
                            <div class="col-auto">
                                <button class="btn btn-primary mt-md-0 mt-2" id="btn_back_all_students"> <i class="fa fa-chevron-left"></i> Go back</button>
                            </div>
                        </div>
                    </div>

                </div>

                <!-- footer start-->
                <?php include_once('../includes/footers/footer.php'); ?>
                <!-- footer end-->
            </div>
        </div>


    <!-- latest jquery-->
    <script src="../assets/js/jquery-3.3.1.min.js"></script>

    <!-- Bootstrap js-->
    <script src="../assets/js/bootstrap.bundle.min.js"></script>

    <!-- feather icon js-->
    <script src="../assets/js/icons/feather-icon/feather.min.js"></script>
    <script src="../assets/js/icons/feather-icon/feather-icon.js"></script>

    <!-- Sidebar jquery-->
    <script src="../assets/js/sidebar-menu.js"></script>
    <script src="../assets/js/slick.js"></script>

    <!-- lazyload js-->
    <script src="../assets/js/lazysizes.min.js"></script>

    <!--right sidebar js-->
    <script src="../assets/js/chat-menu.js"></script>

    <!--script admin-->
    <script src="../assets/js/admin-script.js"></script>

    <!-- Sweetalert2 js-->
    <script src="../assets/custom-assets/lib/sweetalert2/sweetalert2.all.min.js"></script>

    <!-- Moment js-->
    <script src="../assets/custom-assets/lib/momentjs/moment.min.js"></script>

    <!-- JDataTable js -->
    <!-- <script src="../assets/lib/DataTables/datatables.min.js"></script> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/pdfmake.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.2.7/vfs_fonts.js"></script>
    <script src="https://cdn.datatables.net/v/dt/jszip-3.10.1/dt-1.13.6/af-2.6.0/b-2.4.2/b-colvis-2.4.2/b-html5-2.4.2/b-print-2.4.2/cr-1.7.0/date-1.5.1/fc-4.3.0/fh-3.4.0/kt-2.10.0/r-2.5.0/rg-1.4.1/rr-1.4.1/sc-2.2.0/sb-1.6.0/sp-2.2.0/sl-1.7.0/sr-1.3.0/datatables.min.js"></script>


    <!-- view lead -->
    <script src="assets/js/view-student.js"></script>


</body>

</html>